org.eclipse.viatra.query.runtime.rete.recipes

## Interface BetaRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Subinterfaces:
    AntiJoinRecipe, ExistenceJoinRecipe, JoinRecipe, SemiJoinRecipe
  All Known Implementing Classes:
    AntiJoinRecipeImpl, BetaRecipeImpl, ExistenceJoinRecipeImpl, JoinRecipeImpl, SemiJoinRecipeImpl

      public interface BetaRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Beta Recipe'. Abstract base class for Beta node recipes.

  The following features are supported:

  - `Left Parent`
  - `Right Parent`
  See Also:
    `RecipesPackage.getBetaRecipe()`
  Generated:
  Model:
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectionIndexerRecipe` | `getLeftParent()` Returns the value of the 'Left Parent' containment reference.
    `IndexerRecipe` | `getRightParent()` Returns the value of the 'Right Parent' containment reference.
    `void` | `setLeftParent(ProjectionIndexerRecipe value)` Sets the value of the '`Left Parent`' containment reference.
    `void` | `setRightParent(IndexerRecipe value)` Sets the value of the '`Right Parent`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getLeftParent

          ProjectionIndexerRecipe getLeftParent()

      Returns the value of the 'Left Parent' containment reference.
      Returns:
        the value of the 'Left Parent' containment reference.
      See Also:
        `setLeftParent(ProjectionIndexerRecipe)`, `RecipesPackage.getBetaRecipe_LeftParent()`
      Generated:
      Model:
        containment="true"

    - #### setLeftParent

          void setLeftParent(ProjectionIndexerRecipe value)

      Sets the value of the '`Left Parent`' containment reference.
      Parameters:
        `value` - the new value of the 'Left Parent' containment reference.
      See Also:
        `getLeftParent()`
      Generated:

    - #### getRightParent

          IndexerRecipe getRightParent()

      Returns the value of the 'Right Parent' containment reference. can be an AggregatorIndexer
      Returns:
        the value of the 'Right Parent' containment reference.
      See Also:
        `setRightParent(IndexerRecipe)`, `RecipesPackage.getBetaRecipe_RightParent()`
      Generated:
      Model:
        containment="true"

    - #### setRightParent

          void setRightParent(IndexerRecipe value)

      Sets the value of the '`Right Parent`' containment reference.
      Parameters:
        `value` - the new value of the 'Right Parent' containment reference.
      See Also:
        `getRightParent()`
      Generated: